% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/descFile.r
\name{createDescriptionFileTemplate}
\alias{createDescriptionFileTemplate}
\title{Create a description file.}
\usage{
createDescriptionFileTemplate(filename = "data_description.csv")
}
\arguments{
\item{filename}{name of the file containing the meta information (data description). Default is \code{data_description.csv}.}
}
\description{
This function creates a description file.
}
\details{
This function creates a .csv file containing nessecary information for statistical analyses and vizualisation. The content is organized in a tabular.
It has as many rows as folders in the chosen data directory and five columns.
\tabular{ccccc}{
  \tab plot_labels \tab plot_order \tab plot_colors \tab plot_font \cr
  folder 1 \tab folder 1 \tab 1 \tab #FF0000FF \tab 1 \cr
  folder 2 \tab folder 2 \tab 2 \tab #00FF00FF \tab 1 \cr
  folder 3 \tab folder 3 \tab 3 \tab #0000FFFF \tab 1 \cr
  ... \tab ... \tab ... \tab ... \tab ...
}
The columns contain default definitions that are used for producing plots, e.g. plot labels, plot order, colors or font shape (e.g. normal (1), italic (2) or bold (3)).
The entries in the last four columns can be customized by the user. Also, complete rows can be deleted if a certain folder (species, time point or treatment) should be excluded from analysis.
The names in the first column have to correspond to the names of the data folders and should not be changed.
}
