% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functionsStats.r
\name{kwDunnTest}
\alias{kwDunnTest}
\title{Perform Kruskal-Wallis-test and post-hoc Dunn-tests.}
\usage{
kwDunnTest(data = data, type = "filtered", omi.b = 1)
}
\arguments{
\item{data}{feature data containing list generated by \code{\link{readFeatureData}} and \code{\link{filterOutSmallCells}}.}

\item{type}{of the data can be
\describe{
    \item{raw}{all measured cell areas. Default.}
    \item{filtered}{cell areas above a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
    \item{small}{cell areas below a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
}}

\item{omi.b}{defines the space at the bottom of the heatmap used for printing the labels. Default is \code{omi.b=1}.}
}
\description{
This function performs Kruskal-Wallis-tests and post-hoc Dunn-tests for each feature and defined groups. Resulting p values are saved in two separate files, one for the Kruskal-Wallis-tests and one for the Dunn-tests. p values from the Dunn-tests are additionally visualized in a heatmap. Both, lists of pvalues and heatmap are saved to the \code{kw_dunn} folder in the \code{output} folder (@seealso \code{\link{setOutputFolder}}).
}
