% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functionsPlots.r
\name{plotBoxplots}
\alias{plotBoxplots}
\title{Plot box plots of feature values.}
\usage{
plotBoxplots(data = data, type = "raw", ncol_legend = 1, mai_bottom = 2)
}
\arguments{
\item{data}{feature data containing list generated by \code{\link{readFeatureData}} and \code{\link{filterOutSmallCells}}.}

\item{type}{of the data can be
\describe{
    \item{raw}{all measured cell areas. Default.}
    \item{filtered}{cell areas above a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
    \item{small}{cell areas below a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
}}

\item{ncol_legend}{number of columns to arrange to content of the legend. Default is \code{ncol_legend=1}.}

\item{mai_bottom}{size of the space for the bottom side of the plot to fit the labels (@seealso \code{\link{par}}). Default is \code{mai_bottom=2}.}
}
\description{
This function plots box plots of all features where boxes of each feature are plotted on a separate page of a pdf file. Plots are saved to the \code{box_plots} folder in the \code{output} folder (@seealso \code{\link{setOutputFolder}}).
}
