% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functionsPlots.r
\name{plotHistogramOnArea}
\alias{plotHistogramOnArea}
\title{Plot histograms of the cell areas.}
\usage{
plotHistogramOnArea(data = data, type = "raw", show_ts = TRUE,
  show_tm = TRUE, alpha = 0.5, fill = TRUE, legend = 0, bs = 200,
  max.ul = NA)
}
\arguments{
\item{data}{feature data containing list generated by \code{\link{readFeatureData}} and \code{\link{filterOutSmallCells}}.}

\item{type}{of the data can be
\describe{
    \item{raw}{all measured cell areas. Default.}
    \item{filtered}{cell areas above a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
    \item{small}{cell areas below a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
}}

\item{show_ts}{threshold for small cells (@seealso \code{\link{setSizeThresholds}}). Default is \code{show_ts=TRUE}.}

\item{show_tm}{threshold for medium size cells (@seealso \code{\link{setSizeThresholds}}). Default is \code{show_tm=TRUE}.}

\item{alpha}{transparency value used in RGB color space. Default is \code{alpha=0.5}.}

\item{fill}{\code{TRUE} or \code{FALSE} depending on whether the area under the histgram curve should be filled or not. Default is \code{fill=TRUE}.}

\item{legend}{detailed information on the plot
\describe{
    \item{0}{no legend. Default.}
    \item{1}{minimal legend in the right upper corner of the plot}
    \item{2}{extended legend in the right upper corner of the plot with additional information on the number of cell}
}}

\item{bs}{size of the bins. Default is \code{bs=200}.}

\item{max.ul}{the maximum cell size or max value to be plotted on the x-axis. If it is set to \code{NA} then the value is automatically determinded from the data. Default is \code{max.ul=NA}.}
}
\description{
This function plots histograms of the measured areas of pavement cells. Plots are saved to the \code{histograms} folder in the \code{output} folder (@seealso \code{\link{setOutputFolder}}).
}
