% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functionsPlots.r
\name{plotHistograms}
\alias{plotHistograms}
\title{Plot histograms of feature values.}
\usage{
plotHistograms(data = data, type = "raw", fill = TRUE, legend = TRUE,
  ncol_legend = 1)
}
\arguments{
\item{data}{feature data containing list generated by \code{\link{readFeatureData}} and \code{\link{filterOutSmallCells}}.}

\item{type}{of the data can be
\describe{
    \item{raw}{all measured cell areas. Default.}
    \item{filtered}{cell areas above a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
    \item{small}{cell areas below a threshold for small cells (@seealso \code{\link{setSizeThresholds}})}
}}

\item{fill}{\code{TRUE} or \code{FALSE} depending on whether the area under the histgram curve should be filled or not. Default is \code{fill=TRUE}.}

\item{legend}{\code{TRUE} or \code{FALSE} depending on whether the legend should be plotted in the upper right corner of the plot or once on a separate page. Default is \code{legend=TRUE}.}

\item{ncol_legend}{number of columns to arrange to content of the legend. Default is \code{ncol_legend=1}.}
}
\description{
This function plots histograms of all features where the histogram of each feature is plotted on a separate page of a pdf file. Plots are saved to the \code{histograms} folder in the \code{output} folder (@seealso \code{\link{setOutputFolder}}).
}
