% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/featureData.r
\name{readFeatureData}
\alias{readFeatureData}
\title{Read feature data.}
\usage{
readFeatureData()
}
\value{
A list containing the following components:
\describe{
    \item{raw_species}{A vector containing the names of the corresponding folder (e.g. species) of each cell.}
    \item{raw_pc.mat}{A matrix containing the feature values of all cells.}
    \item{raw_rois}{A vector containing the image and region IDs of all cells.}
}
}
\description{
This function reads the feature values computed from Pavement cell shapes by PaCeQuant.
}
\details{
This function will read all \code{*-table.txt} files recursively from the data directory (and folders specified in the \code{data description} file).
Each feature table file corresponds to an image and each line within a feature table corresponds to a cell.
For each cell the corresponding image and region IDs, the name of the folder (which corresponds to the condition e.g. species) and the feature values are stored in a list object. Names of the list elements will have the prefix \code{raw}.
}
